Bug 199177 - Enable a debug WebRTC mode without any encryption
Summary: Enable a debug WebRTC mode without any encryption
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebRTC (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: youenn fablet
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-06-24 15:38 PDT by youenn fablet
Modified: 2019-07-15 11:59 PDT (History)
8 users (show)

See Also:


Attachments
Patch (11.61 KB, patch)
2019-06-28 14:45 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews104 for mac-highsierra-wk2 (2.76 MB, application/zip)
2019-06-28 16:07 PDT, Build Bot
no flags Details
Archive of layout-test-results from ews122 for ios-simulator-wk2 (2.66 MB, application/zip)
2019-06-28 16:51 PDT, Build Bot
no flags Details
Patch (11.63 KB, patch)
2019-07-07 13:54 PDT, youenn fablet
no flags Details | Formatted Diff | Diff
Patch for landing (18.63 KB, patch)
2019-07-08 10:54 PDT, youenn fablet
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description youenn fablet 2019-06-24 15:38:34 PDT
Enable a debug WebRTC mode without any encryption
Comment 1 Radar WebKit Bug Importer 2019-06-24 15:39:19 PDT
<rdar://problem/52074986>
Comment 2 youenn fablet 2019-06-24 15:41:43 PDT
This was requested to easily debug, for instance video codec issues.
This can be done using PeerConnectionFactoryInterface::Options::disable_encryption
Comment 3 youenn fablet 2019-06-28 14:45:53 PDT
Created attachment 373151 [details]
Patch
Comment 4 Build Bot 2019-06-28 16:07:48 PDT
Comment on attachment 373151 [details]
Patch

Attachment 373151 [details] did not pass mac-wk2-ews (mac-wk2):
Output: https://webkit-queues.webkit.org/results/12607036

New failing tests:
webrtc/pc-detached-document.html
Comment 5 Build Bot 2019-06-28 16:07:49 PDT
Created attachment 373159 [details]
Archive of layout-test-results from ews104 for mac-highsierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews104  Port: mac-highsierra-wk2  Platform: Mac OS X 10.13.6
Comment 6 Build Bot 2019-06-28 16:51:29 PDT
Comment on attachment 373151 [details]
Patch

Attachment 373151 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/12607109

New failing tests:
webrtc/pc-detached-document.html
Comment 7 Build Bot 2019-06-28 16:51:31 PDT
Created attachment 373165 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.14.5
Comment 8 youenn fablet 2019-07-07 13:54:48 PDT
Created attachment 373602 [details]
Patch
Comment 9 Devin Rousso 2019-07-07 19:09:47 PDT
Comment on attachment 373602 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=373602&action=review

The inspector parts of this look fine to me.  Is there a test for it (inspector-specific or otherwise)?

> Source/WebCore/Modules/mediastream/RTCPeerConnection.cpp:96
> +    if (page && page->settings().webRTCEncryptionEnabled())

Should this be `!page->settings().webRTCEncryptionEnabled()`?
Comment 10 youenn fablet 2019-07-08 10:54:38 PDT
Created attachment 373642 [details]
Patch for landing
Comment 11 youenn fablet 2019-07-08 10:56:01 PDT
(In reply to Devin Rousso from comment #9)
> Comment on attachment 373602 [details]
> Patch
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=373602&action=review
> 
> The inspector parts of this look fine to me.  Is there a test for it
> (inspector-specific or otherwise)?

I added a test for the webrtc switch.
I did manual testing for the web inspector part.

> > Source/WebCore/Modules/mediastream/RTCPeerConnection.cpp:96
> > +    if (page && page->settings().webRTCEncryptionEnabled())
> 
> Should this be `!page->settings().webRTCEncryptionEnabled()`?

Fixed.
Comment 12 Devin Rousso 2019-07-15 10:35:14 PDT
Has this landed?
Comment 13 WebKit Commit Bot 2019-07-15 11:59:25 PDT
Comment on attachment 373642 [details]
Patch for landing

Clearing flags on attachment: 373642

Committed r247438: <https://trac.webkit.org/changeset/247438>
Comment 14 WebKit Commit Bot 2019-07-15 11:59:26 PDT
All reviewed patches have been landed.  Closing bug.